View Issue Details

IDProjectCategoryView StatusLast Update
0027320FPCCompilerpublic2015-08-29 22:47
ReporterMaciej Izak Assigned ToSven Barth  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.7.1 
Fixed in Version3.0.0 
Summary0027320: Regression. "Fatal: compilation aborted" for generic static class function
DescriptionProbably last block for 0027206 :DDD (attached example works fine in rev. 27327).

===code===

// Fatal: compilation aborted
unit Generics.Defaults;

{$MODE DELPHI}

interface

type
  IEqualityComparer<T> = interface
  end;

  TEqualityComparer<T> = class
  public
    class function Default: IEqualityComparer<T>; static;
  end;

implementation

class function TEqualityComparer<T>.Default: IEqualityComparer<T>;
begin
end;

end.
TagsNo tags attached.
Fixed in Revision29537
FPCOldBugId
FPCTarget
Attached Files

Relationships

related to 0027206 resolvedSven Barth [Patch] Christmas gift by FreeSparta : Generics.Collections 
has duplicate 0028035 assignedSven Barth Compiler crash when compile attached program 

Activities

Maciej Izak

2015-01-16 23:04

reporter  

src.zip (725 bytes)

Maciej Izak

2015-01-17 09:48

reporter  

src2.zip (528 bytes)

Maciej Izak

2015-01-17 09:48

reporter   ~0080457

New correct version of src.zip (src2.zip)

Do-wan Kim

2015-01-19 00:46

reporter   ~0080512

Free Pascal Compiler version 3.1.1 [2015/01/19] for i386
Copyright (c) 1993-2015 by Florian Klaempfl and others
(1002) Target OS: Win32 for i386
(3104) Compiling min.lpr
(3104) Compiling generics.defaults.pas
Fatal: (1018) Compilation aborted
An unhandled exception occurred at $00474AFE:
EAccessViolation: Access violation
  $00474AFE line 5509 of symdef.pas
  $00474847 line 5460 of symdef.pas
  $0051A39E line 1913 of psub.pas
  $0051A98C line 2094 of psub.pas
  $0051AE22 line 2227 of psub.pas
  $00517092 line 297 of psub.pas
  $0051A00A line 1788 of psub.pas
  $00564627 line 957 of pmodules.pas
  $0043B470 line 368 of parser.pas
  $0055B405 line 1914 of fppu.pas
  $005635D0 line 484 of pmodules.pas
  $0056702B line 2075 of pmodules.pas
  $0043B4B3 line 376 of parser.pas
  $004187EA line 269 of compiler.pas
  $00401886 line 246 of pp.pas

Sven Barth

2015-01-23 17:47

manager   ~0080557

Please test and close if okay.

Regards,
Sven

Issue History

Date Modified Username Field Change
2015-01-16 23:04 Maciej Izak New Issue
2015-01-16 23:04 Maciej Izak File Added: src.zip
2015-01-17 09:48 Maciej Izak File Added: src2.zip
2015-01-17 09:48 Maciej Izak Note Added: 0080457
2015-01-17 12:45 Sven Barth Relationship added related to 0027206
2015-01-17 13:02 Sven Barth Assigned To => Sven Barth
2015-01-17 13:02 Sven Barth Status new => assigned
2015-01-17 13:02 Sven Barth Severity minor => crash
2015-01-19 00:46 Do-wan Kim Note Added: 0080512
2015-01-23 17:47 Sven Barth Fixed in Revision => 29537
2015-01-23 17:47 Sven Barth Note Added: 0080557
2015-01-23 17:47 Sven Barth Status assigned => resolved
2015-01-23 17:47 Sven Barth Fixed in Version => 3.1.1
2015-01-23 17:47 Sven Barth Resolution open => fixed
2015-05-08 17:38 Sven Barth Relationship added has duplicate 0028035
2015-08-29 22:47 Joost van der Sluis Fixed in Version 3.1.1 => 3.0.1